Skip to main content
POST
/
api
/
raw-initial-results
/
list
List raw initial results
curl --request POST \
  --url https://api.mentionlab.io/api/raw-initial-results/list \
  --header 'Content-Type: application/json' \
  --header 'x-project-id: <x-project-id>' \
  --data '
{
  "search": "example search",
  "createdAtFrom": "2023-11-07T05:31:56Z",
  "createdAtTo": "2023-11-07T05:31:56Z",
  "sort": [
    {
      "field": "<string>",
      "direction": "<string>"
    }
  ]
}
'
{
  "page": {
    "totalRecords": 123,
    "limit": 123,
    "currentPage": 123,
    "totalPages": 123,
    "nextPage": 123,
    "prevPage": 123
  },
  "results": [
    {
      "id": 1,
      "jobExecution": {
        "id": 1,
        "tagsJobExecutions": [
          1,
          2,
          3
        ]
      },
      "result": {
        "key": "value"
      }
    }
  ]
}

Headers

x-project-id
string
required

Project ID to specify the project context

Query Parameters

limit
number
Example:

50

page
number
Example:

1

Body

application/json

Search term to filter by response text (searches in result's text key)

Example:

"example search"

createdAtFrom
string<date-time>

Filter by job execution created at (from)

createdAtTo
string<date-time>

Filter by job execution created at (to)

sort
object[]

Sort options

Response

200 - application/json
page
object
required
results
object[]